Subject: Re: bug#76655: 30.1; MH-E: "unseen" folder broken on OpenBSD

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Mar 2025 11:08:30 +0200

> From: Mike Kupfer <[email-masked]>
> Date: Fri, 28 Feb 2025 17:59:06 -0800
> 
> I looked at the code some more and ran an additional test.  I now think
> that the thing that I noticed about mh-search-next-result-function is
> unrelated to the checksum problem.  If I force Emacs on my Linux system
> to use openssl, I still get the proper results in the index folder, and
> I see a checksum header in a test email.
> 
> So there's something else peculiar about OpenBSD that I need to track
> down.  I'll try standing up an OpenBSD VM to reproduce the problem.
> 
> It would still be nice to replace the calls to an external program with
> the Emacs md5 function.

Thanks, but please don't change the Subject when you reply to a bug
discussion.  Doing so makes it harder to find related messages, at
least in Rmail.

I've restored the original Subject in this response message.